import 'package:meta/meta.dart';
import 'package:unify_api/tool.dart';

import '../../services/database/database.dart';

@immutable
abstract class AuthState {}

class InitialAuthState extends AuthState {}

class LoggedInState extends AuthState {
  LoggedInState(this.user, {this.info});

  final AccountInfo info;
  final User user;
}

class LogInErrorState extends AuthState {
  LogInErrorState(this.error);

  final String error;

  @override
  String toString() {
    return '{ LogInErrorState { error : $error } }';
  }
}

class LogInLoadingState extends AuthState {
  LogInLoadingState(this.checkUser);

  final bool checkUser;
}

class LoggedOutState extends AuthState {}
