import 'package:meta/meta.dart';

@immutable
abstract class CalculationEvent {}

class LoadInit extends CalculationEvent {}

class Calculate extends CalculationEvent {}

class MonthlyChanged extends CalculationEvent {}

class UpdateCalculation extends CalculationEvent {
  final bool monthly;
  final String purpose;
  final List<String> values;
  final List<String> fields;
  final bool reCalc;

  UpdateCalculation(this.values, this.fields, this.monthly, this.purpose,
      {this.reCalc = false});
}

class UpdateFields extends CalculationEvent {}

class ChangeLoanType extends CalculationEvent {
  final String purpose;

  ChangeLoanType(this.purpose);
}
