import 'package:example_db/data/blocs/bloc.dart';
import 'package:example_db/data/services/database/database.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:meta/meta.dart';
import 'package:unify_api/tool.dart';

@immutable
abstract class LoansEvent {}

class LoansCheck extends LoansEvent {
  LoansCheck({
    @required this.user,
    @required this.scaffold,
  });

  final ScaffoldBloc scaffold;
  final AccountInfo user;

  @override
  String toString() => 'LoansCheck { user: ${user.displayName} }';
}

class RefreshLoans extends LoansEvent {
  RefreshLoans({
    @required this.folder,
    @required this.info,
    @required this.scaffold,
    @required this.context
  });

  final LoansFolder folder;
  final ScaffoldBloc scaffold;
  final AccountInfo info;
  final BuildContext context;

  @override
  String toString() =>
      'RefreshLoans { folder: ${describeEnum(folder)}, user: ${info.displayName} }';
}

class UpdateLoanDetails extends LoansEvent {
  UpdateLoanDetails({
    @required this.loanId,
    @required this.user,
    @required this.userId
  });

  final String loanId;
  final String userId;
  final AccountInfo user;
}
