import 'package:flutter/material.dart';
import 'package:meta/meta.dart';

@immutable
abstract class ScaffoldEvent {}

class ShowSnakBar extends ScaffoldEvent {
  ShowSnakBar(
    this.message,
    this.context, {
    this.duration = const Duration(milliseconds: 750),
  });

  final Duration duration;
  final String message;
  final BuildContext context;

  @override
  String toString() =>
      'ShowSnakBar { message: $message, duration: ${duration.inSeconds} }';
}

class ShowMenu extends ScaffoldEvent {}

class ShowEndMenu extends ScaffoldEvent {}

class ShowBottomSheet extends ScaffoldEvent {
  ShowBottomSheet(this.child);

  final Widget child;
}
