class ZillowGraph {
  Rates rates;

  ZillowGraph({this.rates});

  ZillowGraph.fromJson(Map<String, dynamic> json) {
    rates = json['rates'] != null ? new Rates.fromJson(json['rates']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.rates != null) {
      data['rates'] = this.rates.toJson();
    }
    return data;
  }
}

class Rates {
  Default rates;

  Rates({this.rates});

  Rates.fromJson(Map<String, dynamic> json) {
    rates =
        json['default'] != null ? new Default.fromJson(json['default']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.rates != null) {
      data['default'] = this.rates.toJson();
    }
    return data;
  }
}

class Default {
  CurrentRate currentRate;
  Query query;
  List<Samples> samples;

  Default({this.currentRate, this.query, this.samples});

  Default.fromJson(Map<String, dynamic> json) {
    currentRate = json['currentRate'] != null
        ? new CurrentRate.fromJson(json['currentRate'])
        : null;
    query = json['query'] != null ? new Query.fromJson(json['query']) : null;
    if (json['samples'] != null) {
      samples = new List<Samples>();
      json['samples'].forEach((v) {
        samples.add(new Samples.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.currentRate != null) {
      data['currentRate'] = this.currentRate.toJson();
    }
    if (this.query != null) {
      data['query'] = this.query.toJson();
    }
    if (this.samples != null) {
      data['samples'] = this.samples.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class CurrentRate {
  double apr;
  double rate;
  String time;
  int volume;

  CurrentRate({this.apr, this.rate, this.time, this.volume});

  CurrentRate.fromJson(Map<String, dynamic> json) {
    apr = json['apr'];
    rate = json['rate'];
    time = json['time'];
    volume = json['volume'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['apr'] = this.apr;
    data['rate'] = this.rate;
    data['time'] = this.time;
    data['volume'] = this.volume;
    return data;
  }
}

class Query {
  String creditScoreBucket;
  String loanAmountBucket;
  String loanToValueBucket;
  String loanType;
  String program;

  Query(
      {this.creditScoreBucket,
      this.loanAmountBucket,
      this.loanToValueBucket,
      this.loanType,
      this.program});

  Query.fromJson(Map<String, dynamic> json) {
    creditScoreBucket = json['creditScoreBucket'];
    loanAmountBucket = json['loanAmountBucket'];
    loanToValueBucket = json['loanToValueBucket'];
    loanType = json['loanType'];
    program = json['program'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['creditScoreBucket'] = this.creditScoreBucket;
    data['loanAmountBucket'] = this.loanAmountBucket;
    data['loanToValueBucket'] = this.loanToValueBucket;
    data['loanType'] = this.loanType;
    data['program'] = this.program;
    return data;
  }
}

class Samples {
  double apr;
  double rate;
  String time;
  int volume;

  Samples({this.apr, this.rate, this.time, this.volume});

  Samples.fromJson(Map<String, dynamic> json) {
    apr = json['apr'];
    rate = json['rate'];
    time = json['time'];
    volume = json['volume'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['apr'] = this.apr;
    data['rate'] = this.rate;
    data['time'] = this.time;
    data['volume'] = this.volume;
    return data;
  }
}
