class ZillowRates {
  Rates rates;

  ZillowRates({this.rates});

  ZillowRates.fromJson(Map<String, dynamic> json) {
    rates = json['rates'] != null ? new Rates.fromJson(json['rates']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.rates != null) {
      data['rates'] = this.rates.toJson();
    }
    return data;
  }
}

class Rates {
  Default defaultRate;

  Rates({this.defaultRate});

  Rates.fromJson(Map<String, dynamic> json) {
    defaultRate =
        json['default'] != null ? new Default.fromJson(json['default']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.defaultRate != null) {
      data['default'] = this.defaultRate.toJson();
    }
    return data;
  }
}

class Default {
  double apr;
  Query query;
  double rate;
  int volume;

  Default({this.apr, this.query, this.rate, this.volume});

  Default.fromJson(Map<String, dynamic> json) {
    apr = json['apr'];
    query = json['query'] != null ? new Query.fromJson(json['query']) : null;
    rate = json['rate'];
    volume = json['volume'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['apr'] = this.apr;
    if (this.query != null) {
      data['query'] = this.query.toJson();
    }
    data['rate'] = this.rate;
    data['volume'] = this.volume;
    return data;
  }
}

class Query {
  String creditScoreBucket;
  String loanAmountBucket;
  String loanToValueBucket;
  String loanType;
  String program;

  Query(
      {this.creditScoreBucket,
      this.loanAmountBucket,
      this.loanToValueBucket,
      this.loanType,
      this.program});

  Query.fromJson(Map<String, dynamic> json) {
    creditScoreBucket = json['creditScoreBucket'];
    loanAmountBucket = json['loanAmountBucket'];
    loanToValueBucket = json['loanToValueBucket'];
    loanType = json['loanType'];
    program = json['program'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['creditScoreBucket'] = this.creditScoreBucket;
    data['loanAmountBucket'] = this.loanAmountBucket;
    data['loanToValueBucket'] = this.loanToValueBucket;
    data['loanType'] = this.loanType;
    data['program'] = this.program;
    return data;
  }
}
