import 'package:moor/moor.dart';

@DataClassName('Dashboard')
class DashboardRecords extends Table {
  @override
  String get tableName => 'dashboardAlerts';

  @override
  Set<Column> get primaryKey => {alertId, folder};

  TextColumn get alertId => text()();

  TextColumn get folder => text()();

  TextColumn get userId => text()();

  TextColumn get branchId => text().nullable()();

  TextColumn get marketingPartnerId => text().nullable()();

  TextColumn get company => text().nullable()();

  TextColumn get contactId => text().nullable()();

  TextColumn get loanId => text().nullable()();

  TextColumn get firstName => text().nullable()();

  TextColumn get lastName => text().nullable()();

  TextColumn get email => text().nullable()();

  TextColumn get cellPhone => text().nullable()();

  TextColumn get homePhone => text().nullable()();

  TextColumn get officePhone => text().nullable()();

  RealColumn get interestRate => real().nullable()();

  TextColumn get otherInfo => text().nullable()();

  TextColumn get loanNumber => text().nullable()();

  TextColumn get alertType => text().nullable()();

  TextColumn get alertPriority => text().nullable()();

  DateTimeColumn get dateCreated => dateTime()();

  DateTimeColumn get dateDeleted => dateTime().nullable()();

  BoolColumn get deleted => boolean().nullable()();

  DateTimeColumn get lastUpdated => dateTime().nullable()();
}
