import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';

Icon getAlertIcon(String alert,
    {String priority = "", Color useColor, double iconSize = 24}) {
  switch (alert) {
    case "Birthday":
      return Icon(
        Icons.cake,
        size: iconSize,
        color: setColor(useColor, Colors.orangeAccent),
      );
    case "Hot_Prospect":
      return Icon(
        FontAwesomeIcons.fire,
        size: iconSize,
        color: setColor(useColor, getAlertColor(priority)),
      );
    case "Loan_Milestone":
      return Icon(
        FontAwesomeIcons.award,
        size: iconSize,
        color: setColor(useColor, getAlertColor(priority)),
      );
    case "Loan_Anniversary":
      return Icon(
        FontAwesomeIcons.trophy,
        size: iconSize,
        color: setColor(useColor, Colors.blue),
      );
    case "Listing_Alert":
      return Icon(
        Icons.add_alert,
        size: iconSize,
        color: setColor(useColor, Colors.green),
      );
    case "Balloon":
      return Icon(
        FontAwesomeIcons.hourglassEnd,
        size: iconSize,
        color: setColor(useColor, Colors.green),
      );
    case "Move_Update":
      return Icon(
        Icons.home,
        size: iconSize,
        color: setColor(useColor, Colors.green),
      );
    case "ARM_Reset":
      return Icon(
        Icons.redo,
        size: iconSize,
        color: setColor(useColor, Colors.green),
      );
    case "Loan_MI_Refi":
      return Icon(
        Icons.date_range,
        size: iconSize,
        color: setColor(useColor, Colors.orange),
      );
    case "Inquiry_Alert_Home_Equity":
      return Icon(
        Icons.home,
        size: iconSize,
        color: setColor(useColor, Colors.purple),
      );
    case "Inquiry_Alert_Likely_Home_Buyer":
      return Icon(
        Icons.home,
        size: iconSize,
        color: setColor(useColor, Colors.yellow[700]),
      );
    case "Inquiry_Alert_First_Time_Home_Buyer":
      return Icon(
        Icons.home,
        size: iconSize,
        color: setColor(useColor, Colors.green),
      );
    case "Rate_Savings":
      return Icon(
        FontAwesomeIcons.percentage,
        size: iconSize,
        color: setColor(useColor, Colors.green),
      );
    case "Target_Rate_Alert":
      return Icon(
        Icons.track_changes,
        size: iconSize,
        color: setColor(useColor, Colors.yellow[700]),
      );
    case "Inquiry_Alert":
      return Icon(
        Icons.notifications_active,
        size: iconSize,
        color: setColor(useColor, Colors.red),
      );
    default:
      return Icon(
        Icons.info,
        size: iconSize,
        color: setColor(useColor, getAlertColor(priority)),
      );
  }
}

Color getAlertColor(String priority) {
  switch (priority) {
    case "High":
      return Colors.red;
      break;
    case "Medium":
      return Colors.orange;
    case "Normal":
      return Colors.yellow[700];
      break;
    case "Low":
      return Colors.green;
      break;
    default:
      return Colors.grey;
  }
}

Color setColor(Color color, Color defaultColor) {
  if (color != null) {
    int colorVal = color.value;
    return Color(colorVal);
  }
  return defaultColor;
}
