import 'package:flutter/material.dart';

import '../../../data/services/database/database.dart';
import '../../contacts/common/more_button.dart';
import 'alerts_get_icon.dart';

class DetailedAlertTile extends StatelessWidget {
  const DetailedAlertTile({
    Key key,
    @required Dashboard alert,
    // this.name,
    // this.subtitle
  })  : _alert = alert,
        super(key: key);

  final Dashboard _alert;
  //final String name, subtitle;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.all(8),
      child: LayoutBuilder(
        builder: (context, dimens) => SizedBox(
          height: null,
          child: Row(
            crossAxisAlignment: CrossAxisAlignment.start,
            mainAxisAlignment: MainAxisAlignment.center,
            children: <Widget>[
              getAlertIcon(_alert.alertType, priority: _alert.alertPriority),
              Expanded(
                  child: Padding(
                padding: EdgeInsets.only(left: 15, right: 10),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: <Widget>[
                    Text(
                      '${_alert.firstName} ${_alert.lastName}',
                      style: Theme.of(context).textTheme.title,
                      maxLines: 1,
                    ),
                    Padding(padding: EdgeInsets.only(bottom: 6)),
                    Text(
                      '${_alert.otherInfo}',
                      style: Theme.of(context).textTheme.subtitle,
                    )
                  ],
                ),
              )),
              Column(
                crossAxisAlignment: CrossAxisAlignment.end,
                children: <Widget>[
                  MoreButton(
                    cell: _alert.cellPhone,
                    email: _alert.email,
                    home: _alert.homePhone,
                    office: _alert.officePhone,
                  )
                ],
              )
            ],
          ),
        ),
      ),
    );
  }
}
