import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import '../../data/blocs/bloc.dart';
import '../home/screen.dart';
import 'screen.dart';

class AuthCheck extends StatelessWidget {
  static const String routeName = '/';

  @override
  Widget build(BuildContext context) {
    return StreamBuilder<AuthState>(
        stream: BlocProvider.of<AuthBloc>(context).state,
        builder: (context, snapshot) {
          if (snapshot.hasData) {
            final state = snapshot.data;
            if (state is LoggedInState) {
              return HomeScreen();
            }
          }
          return LoginScreen();
        });
  }
}
