import 'package:flutter/material.dart';
import 'package:unify_api/unify.dart';

class TrackerTile extends StatelessWidget {
  final Tracker row;
  TrackerTile(this.row);

  @override
  Widget build(BuildContext context) {
    if (row?.type != null) {
      Widget _title = Text(("${row?.type}\n" + row?.description).trim());
      if (row.type.contains("Task")) {
        return ListTile(
          leading: Tooltip(
            child: Icon(
              Icons.event_available,
              color: Colors.green,
            ),
            message: row?.type,
          ),
          title: _title,
          subtitle: Text(row?.dateCreated),
        );
      }
      if (row.type.contains("Note")) {
        return ListTile(
          leading: Tooltip(
            child: Icon(
              Icons.note_add,
              color: Colors.orange,
            ),
            message: row?.type,
          ),
          title: _title,
          subtitle: Text(row?.dateCreated),
        );
      }
      if (row.type.contains("Log Response")) {
        return ListTile(
          leading: Tooltip(
            child: Icon(
              Icons.timer,
              color: Colors.blue,
            ),
            message: row?.type,
          ),
          title: _title,
          subtitle: Text(row?.dateCreated),
        );
      }
      if (row.type.contains("ScheduledCall")) {
        return ListTile(
          leading: Tooltip(
            child: Icon(
              Icons.phone,
              color: Colors.purple,
            ),
            message: row?.type,
          ),
          title: _title,
          subtitle: Text(row?.dateCreated),
        );
      }
      if (row.type.contains("Marketing Campaign")) {
        return ListTile(
          leading: Tooltip(
            child: Icon(
              Icons.event,
              color: Colors.red,
            ),
            message: row?.type,
          ),
          title: _title,
          subtitle: Text(row?.dateCreated),
        );
      }
    }
    
    return ListTile(
      leading: Tooltip(
        child: Icon(Icons.info),
        message: row?.type,
      ),
      title: Text(row?.type),
      subtitle: Text(row?.dateCreated),
    );
  }
}