library global_search;

import 'package:example_db/data/blocs/bloc.dart';
import 'package:example_db/data/classes/enum_list.dart';
import 'package:example_db/data/services/database/database.dart';
import 'package:example_db/plugins/local_storage/local_storage.dart';
import 'package:example_db/ui/alerts/common/tile.dart';
import 'package:example_db/ui/contacts/common/tile.dart';
import 'package:example_db/ui/leads/common/tile.dart';
import 'package:example_db/ui/loans/common/tile.dart';
import 'package:example_db/ui/settings/builder.dart';
import 'package:example_db/ui/video/common/tile.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:flutter_staggered_animations/flutter_staggered_animations.dart';
import 'package:get_it/get_it.dart';
import 'package:unify_api/unify.dart' as api;

part 'common/bar.dart';
part 'common/results.dart';

class SearchScreen extends StatelessWidget {
  const SearchScreen({Key key, this.scopes}) : super(key: key);

  static const String routeName = '/search';

  final List<SearchResultType> scopes;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      // appBar: AppBar(
      //   // leading: scopes != null ? null : MenuButton(),
      //   title: Text('Search'),
      //   actions: <Widget>[
      //     IconButton(
      //       icon: Icon(Icons.refresh),
      //       onPressed: () => AuthBloc.refresh(context),
      //     ),
      //   ],
      // ),
      body: SafeArea(
        child: Column(
          children: <Widget>[
            _SearchBar(scopes: scopes),
            Expanded(child: _SearchBody()),
          ],
        ),
      ),
    );
  }
}
