part of unify;

class CartOrder implements UnifyObject {
  CartOrder(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  String get id => json["Order_ID"];

  String get userId => json["User_ID"];

  String get orderNumber => json["Order_Number"];

  num get orderTotal => json["Order_Total"];

  String get orderType => json["Order_Type"];

  String get orderStatus => json["Order_Status"];

  num get shippingAmount => json["Shipping_Amount"];

  String get shippingMethod => json["Shipping_Method"];

  num get handlingAmount => json["Handling_Amount"];

  String get billingAddress => json["Bill_To_Address"];

  String get shippingAddress => json["Ship_To_Address"];

  String get ipAddress => json["IP_Address"];

  String get paymentMethod => json["Payment_Method"];

  String get shippingTrackingNumber => json["Shipping_Tracking_Number"];

  String get additionalProperties => json["Additional_Properties"];

  DateTime get dateCreated => DateTime.tryParse(json["Created_On"] as String);

  DateTime get dateModified => DateTime.tryParse(json["Modified_On"] as String);

  List<CartItem> get items => json["Cart_Items"] == null
      ? []
      : List?.from(json["Cart_Items"])
              ?.map((i) => CartItem(client, i))
              ?.toList() ??
          [];

  // -- Actions --
  Future<List<CartItem>> listItems() {
    return client.listCartItems();
  }

  Future deleteItem(String id) {
    return client.deleteCartItem(id);
  }
}
